HotDocs Advance Upload Plugin Release Notes

Copyright © AbacusNext. All rights reserved.

Table of Contents

  1. About the Plugin
  2. System Requirements
  3. New Features and Enhancements

About the Plugin

The HotDocs Advance Upload Plugin allows template developers to upload templates from HotDocs Developer to HotDocs Hub and HotDocs Advance.

System Requirements

Please note the following requirements:

Runtime Libraries

  • .NET Framework 4.7.2 or higher

Operating System

  • Windows 8.1 - 32-bit and 64-bit (2013)
  • Windows 10 - 32-bit and 64-bit (2018 onwards)

New Features and Enhancements

The following incremental releases contain new features and enhancements:

Uploading may no longer function for versions prior to 2.0.1.0 due to security updates.

2.0.2.1313 (24 March 2020)

  • Installer now has the same UI (appearance) as the other HD11 installers.

2.0.2.0 (October 2020)

  • Internal release (included with Release Candidates).

Note: The SchUseStrongCrypto registry setting is now only applied by the installer if TLS 1.0/1.1 is disabled.

If these protocols are later disabled, then this setting may need to be enabled (or the plugin reinstalled) for uploading to function.

2.0.1.1 (April 2020)

  • Support for TLS 1.2 (server and client).
  • The Silverlight version of a template is no longer built for inclusion in the upload package.
    (Contact HotDocs Support if you have a requirement to continue to use Silverlight templates).

2.0.1.0 (21 February 2020)

  • Prerelease version with TLS 1.2 server side support.

Important: The SchUseStrongCrypto registry setting (at HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\.NETFramework\v4.0.30319) is enabled by the installer.

2.0.0.40992 (08 October 2018)

  • Updated to support TLS 1.2 (client side only).

2.0.0.39831 (1 August 2018)

  • You can now upload templates to either HotDocs Hub or HotDocs Advance.

1.0.35  (14 March 2016)

  • Initial release (for uploading to HotDocs Hub).